#!/bin/sh

set -e

##functions.sh##

targetdir="$1"
self="$2"
flags="$3"

targets="common-auth common-session common-session-noninteractive"

for target in $targets; do
    $dry_run sed -i                                                         \
            -e '/[ \t]pam_afs_session\.so\([ \t]\|$\)/{'                    \
            -e '    /[ \t]minimum_uid=/{'                                   \
            -e '        b'                                                  \
            -e '    }'                                                      \
            -e '    s/[ \t]pam_afs_session\.so/& minimum_uid=110/'          \
            -e '}'                                                          \
        "$targetdir/$target"
done
